Apache Tomcat 7.0.42

## org.apache.tomcat.util.bcel.classfile
Class ConstantNameAndType

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.Constant
          org.apache.tomcat.util.bcel.classfile.ConstantNameAndType

All Implemented Interfaces:
  Serializable, Cloneable

    public final class ConstantNameAndType

extends Constant

This class is derived from the abstract Constant class and represents a reference to the name and signature of a field or method.

Version:
  $Id: ConstantNameAndType.java 1377533 2012-08-26 22:22:59Z markt $
Author:
  M. Dahm
See Also:
  `Constant`, Serialized Form

Field Summary

Fields inherited from class org.apache.tomcat.util.bcel.classfile.Constant
`tag`

Constructor Summary
`ConstantNameAndType(int name_index, int signature_index)`

Method Summary
`int` `getNameIndex()`
`int` `getSignatureIndex()`
`String` `toString()`

Methods inherited from class org.apache.tomcat.util.bcel.classfile.Constant
`clone, equals, getTag, hashCode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstantNameAndType

    public ConstantNameAndType(int name_index,
                               int signature_index)

Parameters:
  `name_index` - Name of field/method
  `signature_index` - and its signature

Method Detail

### getNameIndex

    public final int getNameIndex()

  Returns:
    Name index in constant pool of field/method name.

### getSignatureIndex

    public final int getSignatureIndex()

  Returns:
    Index in constant pool of field/method signature.

### toString

    public final String toString()

  Overrides:
    `toString` in class `Constant`
  Returns:
    String representation

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.